[RISOLTO} Simulide: errore esecuzione

Installazione, configurazione e uso di programmi e strumenti.

[RISOLTO} Simulide: errore esecuzione

Messaggioda pgiagno » martedì 30 aprile 2019, 18:43

Salve.
Ho un notebook HP 64 bit con installato Ubuntu 18.04.2 LTS
Ho installato SimulIDE_0.3.10_SR1-Lin64, un programma di simulazione per circuiti con microprocessori da questo sito https://sourceforge.net/p/simulide/wiki/Home/.

Contrariamente a quanto affermato nel tutorial, quando tento di lanciarlo da terminale mi dà questa risposta
Codice: Seleziona tutto
./simulide: error while loading shared libraries: libQt5Multimedia.so.5: cannot open shared object file: No such file or directory

Dove posso trovare, e soprattutto come posso installare quella libreria?

Grazie,

Ciao,
P.
Ultima modifica di pgiagno il giovedì 2 maggio 2019, 9:47, modificato 1 volta in totale.
pgiagno
Prode Principiante
 
Messaggi: 51
Iscrizione: gennaio 2010

Re: Simulide: errore esecuzione

Messaggioda caturen » martedì 30 aprile 2019, 19:57

Codice: Seleziona tutto
sudo apt install  libQt5Multimedia5
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 15037
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Simulide: errore esecuzione

Messaggioda pgiagno » martedì 30 aprile 2019, 21:14

Magari fosse così facile...
Codice: Seleziona tutto
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto libQt5Multimedia5

Ciao,
P.
pgiagno
Prode Principiante
 
Messaggi: 51
Iscrizione: gennaio 2010

Re: Simulide: errore esecuzione

Messaggioda Stealth » martedì 30 aprile 2019, 21:59

È una cosa che non capisco bene, se cerco con apt lo trovo ma se provo ad installarlo "non c'è più"
Codice: Seleziona tutto
utente@bionic:~$ apt search libQt5Multimedia5
Ordinamento... Fatto
Ricerca sul testo... Fatto
libqt5multimedia5/bionic 5.9.5-0ubuntu1 amd64
  Qt 5 Multimedia module

libqt5multimedia5-plugins/bionic 5.9.5-0ubuntu1 amd64
  Qt 5 Multimedia module plugins

utente@bionic:~$ apt install -s libQt5Multimedia5
Nota: questa è solo una simulazione.
      apt necessita dei privilegi di root per la normale esecuzione.
      Inoltre, il meccanismo di blocco non è attivato e non è quindi
      utile dare importanza a tutto ciò per una situazione reale.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto libQt5Multimedia5
utente@bionic:~$

comunque, se vai su ubuntu packages lo trovi, penso ti convenga scaricarlo e installartelo così
ciao
Avatar utente
Stealth
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 16072
Iscrizione: gennaio 2006
Desktop: Gnome
Distribuzione: Ubuntu 18.04 LTS

Re: Simulide: errore esecuzione

Messaggioda pgiagno » mercoledì 1 maggio 2019, 7:46

Grazie.

Ho scaricato e installato sia la libreria che i plugins. Ho controllato la lista dei file
Codice: Seleziona tutto
/usr/lib/x86_64-linux-gnu/libQt5Multimedia.so.5
/usr/lib/x86_64-linux-gnu/libQt5Multimedia.so.5.9
/usr/lib/x86_64-linux-gnu/libQt5Multimedia.so.5.9.5
/usr/share/doc/libqt5multimedia5/changelog.Debian.gz
/usr/share/doc/libqt5multimedia5/copyright

/usr/lib/x86_64-linux-gnu/qt5/plugins/audio/libqtaudio_alsa.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/audio/libqtmedia_pulse.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/mediaservice/libgstaudiodecoder.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/mediaservice/libgstcamerabin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/mediaservice/libgstmediacapture.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/mediaservice/libgstmediaplayer.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/playlistformats/libqtmultimedia_m3u.so
/usr/share/doc/libqt5multimedia5-plugins/changelog.Debian.gz
/usr/share/doc/libqt5multimedia5-plugins/copyright

e stanno proprio dove dovrebbero stare, ma simulide non li trova e insiste:
Codice: Seleziona tutto
piero@hp-laptop-15:~/SimulIDE_0.3.10-SR2-Lin64/bin$ ./simulide
./simulide: error while loading shared libraries: libQt5SerialPort.so.5: cannot open shared object file: No such file or directory
piero@hp-laptop-15:~/SimulIDE_0.3.10-SR2-Lin64/bin$


Vado sul forum di Simulide per capire se è un bug noto, dato che la release è recente.

Ciao,
P.
pgiagno
Prode Principiante
 
Messaggi: 51
Iscrizione: gennaio 2010

Re: Simulide: errore esecuzione

Messaggioda pgiagno » giovedì 2 maggio 2019, 9:46

Volevo segnalare che ho risolto l'inghippo.

In Ubuntu 18.04.2 LTS le librerie libQt5Multimedia.so.5.9.5 e libQt5MultimediaWidgets.so.5.9.5 con i loro link sono posizionate in /usr/lib/x86_64-linux-gnu e lì il programma simulide non le trova. È necessario copiarle in /usr/lib e tutto funziona.

Ciao,
P.
pgiagno
Prode Principiante
 
Messaggi: 51
Iscrizione: gennaio 2010

Re: [RISOLTO} Simulide: errore esecuzione

Messaggioda trekfan1 » giovedì 2 maggio 2019, 13:56

Per il futuro evita di urlarlo il [Risolto] ovvero non scriverlo tutto maiuscolo, correggi, grazie
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 19583
Iscrizione: maggio 2006
Località: Formigine (MO) | Tenace Tecnocrate
Desktop: Gnome
Distribuzione: Ubuntu 19.04 e 19.10 (dev) 64 bit
Sesso: Maschile


Torna a Applicazioni

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite